Bug 985909 - mydns-pgsql is built for MySQL
mydns-pgsql is built for MySQL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mydns (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
: Patch, Reopened, Triaged
: 917697 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 09:28 EDT by Tomasz Sterna
Modified: 2018-04-11 10:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: mydns-1.2.8.31-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-09 04:22:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cleanup in-source build dirs between builds (339 bytes, patch)
2013-07-18 10:11 EDT, Tomasz Sterna
no flags Details | Diff

  None (edit)
Description Tomasz Sterna 2013-07-18 09:28:52 EDT
Description of problem:
I'd like to use MyDNS with PostgreSQL support, so I installed mydns-pgsql package.
But it is MyDNS compiled for MySQL, not PostgreSQL.

Version-Release number of selected component (if applicable):
# rpm -qf /usr/sbin/mydns-pgsql
mydns-pgsql-1.2.8.31-7.fc19.i686

How reproducible:
# ldd /usr/sbin/mydns-pgsql
	linux-gate.so.1 =>  (0xb7783000)
	libmysqlclient.so.18 => /usr/lib/mysql/libmysqlclient.so.18 (0x49c46000)
	[...]
Comment 1 Tomasz Sterna 2013-07-18 10:11:01 EDT
Created attachment 775337 [details]
cleanup in-source build dirs between builds

It turns out that ./configure process does not invalidate an in-source build, thus second build for PostgreSQL does not rebuild mydns binaries and keeps the previously built ones for MyDNS.

Attached patch fixes this.
Comment 2 Tomasz Sterna 2013-07-18 10:14:27 EDT
This also fixes bug 917697
Comment 3 Tomasz Sterna 2013-07-18 10:18:34 EDT
*** Bug 917697 has been marked as a duplicate of this bug. ***
Comment 5 Fedora End Of Life 2015-01-09 13:59:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:14:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Matěj Cepl 2015-02-26 17:08:43 EST
Reporter, I would like to emphasize this in the EOL comment:

> If you can reproduce this bug against a currently maintained version of Fedora please feel free to reopen this bug against that version.

and feel free to ask for help on devel@ email list or #fedora-devel IRC channel to find a help with inactive maintainer.

Considering this bug exactly, when testing freshly build package (https://kojipkgs.fedoraproject.org//work/tasks/5306/9085306/mydns-pgsql-1.2.8.31-11.fc23.x86_64.rpm) in scratch build on Rawhide, I get this:

matej@mitmanek: sbin$ ldd mydns-pgsql 
	linux-vdso.so.1 =>  (0x00007fffb7bfe000)
	libmysqlclient.so.18 => /usr/lib64/mysql/libmysqlclient.so.18 (0x00007ff4a6007000)
	libz.so.1 => /lib64/libz.so.1 (0x00007ff4a5df1000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00007ff4a5bd7000)
	libm.so.6 => /lib64/libm.so.6 (0x00007ff4a58d5000)
	libc.so.6 => /lib64/libc.so.6 (0x00007ff4a5514000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007ff4a52f7000)
	libssl.so.10 => /lib64/libssl.so.10 (0x00007ff4a508b000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007ff4a4ca5000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007ff4a4aa0000)
	libstdc++.so.6 => /lib64/libstdc++.so.6 (0x00007ff4a4799000)
	/lib64/ld-linux-x86-64.so.2 (0x00007ff4a6767000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007ff4a454d000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007ff4a4269000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007ff4a4065000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007ff4a3e33000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007ff4a3c1c000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007ff4a3a0d000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007ff4a3809000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007ff4a35ee000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007ff4a33c9000)
	libpcre.so.1 => /lib64/libpcre.so.1 (0x00007ff4a3167000)
	liblzma.so.5 => /lib64/liblzma.so.5 (0x00007ff4a2f42000)
matej@mitmanek: sbin$

This is clearly wrong, so this bug needs to be reopened.
Comment 8 Tomasz Sterna 2015-02-26 17:51:59 EST
You must be joking...
I took my time to investigate this bug, report it and provide a solution.
You (Fedora Maintainers) didn't bother to even triage my solution for years.
And it is MY job to waste even more time on keeping this bug open fighting some automated robot.
Give me a break and get YOUR s*t together first...
Comment 9 Fedora Update System 2015-02-26 17:52:19 EST
mydns-1.2.8.31-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mydns-1.2.8.31-10.fc20
Comment 10 Fedora Update System 2015-02-26 17:53:43 EST
mydns-1.2.8.31-12.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mydns-1.2.8.31-12.fc21
Comment 11 Fedora Update System 2015-02-26 17:54:09 EST
mydns-1.2.8.31-12.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mydns-1.2.8.31-12.fc22
Comment 12 Fedora Update System 2015-02-26 17:54:40 EST
mydns-1.2.8.31-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mydns-1.2.8.31-2.el5
Comment 13 Fedora Update System 2015-02-26 17:54:56 EST
mydns-1.2.8.31-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mydns-1.2.8.31-2.el6
Comment 14 Matěj Cepl 2015-02-26 18:28:47 EST
(In reply to Tomasz Sterna from comment #8)
> You must be joking...
> I took my time to investigate this bug, report it and provide a solution.
> You (Fedora Maintainers) didn't bother to even triage my solution for years.
> And it is MY job to waste even more time on keeping this bug open fighting
> some automated robot.
> Give me a break and get YOUR s*t together first...

a) I am not a maintainer of this package, so don't go after me for helping you.
b) Actually most maintainers are just volunteers and most of them are overwhelmed with the amount of bugs falling at them, and EOLing old bugs (with needinfo prior to closing, which you completely ignored) is a desperate attempt to keep the avalanche of bugs in some reasonable measure.
c) Certainly I am just spending my time which I should be using for things which I am actually paid for, so while I am not happy about how this bug (and jabberd) were managed, but "you must be joking" is not something which I would hope to get among people who are supposed to trying to achieve same.

Let's hope this puppy is gone now.
Comment 15 Fedora Update System 2015-02-27 14:43:35 EST
Package mydns-1.2.8.31-12.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mydns-1.2.8.31-12.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2764/mydns-1.2.8.31-12.fc22
then log in and leave karma (feedback).
Comment 16 Jaroslav Reznik 2015-03-03 12:18:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 17 Fedora Update System 2015-03-09 04:22:07 EDT
mydns-1.2.8.31-12.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-03-09 04:31:15 EDT
mydns-1.2.8.31-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-03-09 04:40:30 EDT
mydns-1.2.8.31-12.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-03-25 15:57:13 EDT
mydns-1.2.8.31-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-03-25 16:05:27 EDT
mydns-1.2.8.31-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.